#!/bin/bash

# the script takes binutils* and creates the cross-* packages
# sh4 is stuck in the testsuite, avr is packaged separately
for arch in hppa hppa64 mips arm i386 x86_64 s390 s390x ppc ppc64 ia64 sparc alpha spu; do 

   echo -n "Building package for $arch --> cross-$arch-binutils ..."

   ln -f binutils.changes cross-$arch-binutils.changes
   sed -e "s/^Name:.*binutils\$/Name:         cross-$arch-binutils/" \
       -e '/%ifarch %gold_archs/,/%endif/d' \
       -e '/ \(devel\|gold\)$/,/^$/d'  \
       -e '/%define cross .*/{
              s/.*/%define cross 1/
              a %define _prefix /opt/cross
           }' \
       < binutils.spec > cross-$arch-binutils.spec

   echo " done."
done
#
# These architectures do not get a cross-* name prefix and are
# installed into the standard locations rather than /opt/cross,
# so that they can be used for normal development rather than
# just for icecream.
#
for arch in avr arm; do

   echo -n "Building package for $arch --> $arch-binutils ..."

   ln -f binutils.changes $arch-binutils.changes
   sed -e "s/^Name:.*binutils\$/Name:         $arch-binutils/" \
       -e '/%ifarch %gold_archs/,/%endif/d' \
       -e '/ \(devel\|gold\)$/,/^$/d'  \
       < binutils.spec > $arch-binutils.spec

   echo " done."
done